package com.adealink.weparty.commonui.widget.floatview.view

import android.view.ViewGroup
import com.adealink.weparty.commonui.widget.floatview.data.FloatWindowType
import com.adealink.weparty.commonui.widget.floatview.data.IFloatData

interface IFloatViewGroup<V : BaseFloatView<out IFloatData>> {

    fun viewGroup(): ViewGroup
    fun onResume(layoutDirection: Int)
    fun onPause()

    fun addFloatView(view: V)
    fun removeFloatView(view: V)
    fun containsView(view: V): Boolean
    fun findFloatViewByType(type: FloatWindowType): V?
}